🚧 [Experimental] Create editor chart

Creates the specified Editor chart.

Request

POST

http://<хост_on-premises>/rpc/createEditorChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entry": {
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    },
    "workbookId": "example",
    "name": "example"
  }
}

Name

Description

entry

All of 2 types
  • One of 5 types
    • Type: CreateEditorTableNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "table_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example",
          "config": "example"
        }
      }
      
    • Type: CreateEditorGravityChartsNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "d3_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example",
          "config": "example"
        }
      }
      
    • Type: CreateEditorMarkdownNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "markdown_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example"
        }
      }
      
    • Type: CreateEditorAdvancedChartNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "advanced-chart_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example"
        }
      }
      
    • Type: CreateEditorSelectorNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "control_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example"
        }
      }
      
    Example
    {
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EntryLocationIdentifiers

    Example
    {
      "workbookId": "example",
      "name": "example"
    }
    
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  },
  "workbookId": "example",
  "name": "example"
}

CreateEditorTableNodeEntry

Name

Description

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

CreateEditorGravityChartsNodeEntry

Name

Description

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

CreateEditorMarkdownNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

CreateEditorAdvancedChartNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

CreateEditorSelectorNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}

EntryLocationIdentifiers

Name

Description

name

Type: string

Entry name when creating the entry in a workbook.

Example: example

workbookId

Type: string

ID of the workbook where the entry should be created.

Example: example

Example
{
  "workbookId": "example",
  "name": "example"
}

Responses

200 OK

Response

Body

application/json
{
  "entry": {
    "version": 1,
    "entryId": "example",
    "key": null,
    "createdAt": "example",
    "createdBy": "example",
    "updatedAt": "example",
    "updatedBy": "example",
    "revId": "example",
    "savedId": "example",
    "publishedId": "example",
    "tenantId": "example",
    "hidden": true,
    "public": true,
    "workbookId": null,
    "scope": "widget",
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    }
  }
}

Name

Description

entry

One of 5 types
  • Type: EditorTableNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorGravityChartsNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "d3_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorMarkdownNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "markdown_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorAdvancedChartNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "advanced-chart_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorSelectorNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "control_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example"
      }
    }
    
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorTableNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorGravityChartsNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorMarkdownNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorAdvancedChartNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorSelectorNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}